{$APPTYPE CONSOLE}

uses math;

type real = extended;
     TPoi = record
        x,y : real;
     end;

const eps : real = 1e-9;
      maxn = 6;
      mpi : real = 3.1415926535897932384626433832795;

var p0,p1,p2,pj : TPoi;
    a : array [0..maxn] of TPoi;
    q : array [0..maxn,0..3] of TPoi;
    ans : real;
    alfa : array [0..maxn] of real;
    k,num : array [0..maxn] of longint;
    i,j : longint;

procedure Cpy(var a,b : TPoi);
begin
   a.x := b.x; a.y := b.y;
end;

procedure ISwap(var i,j : longint);
var t : longint;
begin
   t := i; i := j; j := t;  
end;

procedure RSwap(var i,j : real);
var t : real;
begin
   t := i; i := j; j := t;  
end;

procedure PSwap(var i,j : TPoi);
var t : TPoi;
begin
   Cpy(t,i); Cpy(i,j); Cpy(j,t);
end;

function InRange(x,x1,x2 : real) : boolean;
begin
   result := (x > min(x1,x2) - eps) and (x < max(x1,x2) + eps);
end;

function InRect(var p : TPoi) : boolean;
begin
   result := InRange(p.x,p1.x,p2.x) and InRange(p.y,p1.y,p2.y);
end;

function Scal(var p1,p2,p : TPoi) : real;
begin
   result := (p2.x-p1.x)*(p.x-p1.x) + (p2.y-p1.y)*(p.y-p1.y);
end;

function Inter(var p1,p2,p3,p4 : TPoi) : boolean;
var a1,b1,c1,a2,b2,c2,z : real;
begin
   a1 := p2.y-p1.y; b1 := p1.x-p2.x; c1 := -(p1.y*p2.x-p1.x*p2.y);
   a2 := p4.y-p3.y; b2 := p3.x-p4.x; c2 := -(p3.y*p4.x-p3.x*p4.y);
   z := a1*b2 - a2*b1;
   if (abs(z) < eps) then begin result := false; exit; end;
   pj.x := (c1*b2 - c2*b1)/z; pj.y := (a1*c2 - a2*c1)/z;
   result := InRect(pj) and (Scal(p1,p2,pj) > 0.0);
end;

function NotEq(var p : TPoi; i : longint) : boolean;
var j : longint;
begin
   for j := 1 to num[i] do
      if (abs(q[i][j].x-p.x) < eps) and (abs(q[i][j].y-p.y) < eps) then begin
         result := false; exit;
      end;
   result := true;
end;

function TriangS(var p1,p2,p3 : TPoi) : real;
var dx1,dy1,dx2,dy2 : real;
begin
   dx1 := p2.x - p1.x; dy1 := p2.y - p1.y;
   dx2 := p3.x - p1.x; dy2 := p3.y - p1.y;
   result := abs(dx2*dy1 - dx1*dy2)/2.0;
end;

begin
   assign(input,'input.txt'); reset(input);
   assign(output,'output.txt'); rewrite(output);

   p0.x := 0.0; p0.y := 0.0; 
   read(p1.x,p1.y,p2.x,p2.y,alfa[0]);
   alfa[0] := alfa[0] * mpi / 180.0;
   a[0].x := cos(alfa[0]); a[0].y := sin(alfa[0]);
   a[1] := p1; a[3] := p2;
   a[2].x := p1.x; a[2].y := p2.y;
   a[4].x := p2.x; a[4].y := p1.y;
   Cpy(a[5],a[1]);
   for i := 1 to 4 do
      if (a[i].x = 0.0) and (a[i].y = 0.0) then alfa[i] := 0.0
      else begin
         alfa[i] := arctan2(a[i].y,a[i].x);
         if (alfa[i] < 0.0) then alfa[i] := alfa[i] + 2.0*mpi;
      end;
   fillchar(k,sizeof(k),0); k[0] := 1;

   fillchar(num,sizeof(num),0); fillchar(q,sizeof(q),0);
   for i := 0 to 4 do begin
      for j := 1 to 4 do
         if (Inter(p0,a[i],a[j],a[j+1]) and NotEq(pj,i)) then begin
            inc(num[i]); Cpy(q[i][num[i]],pj);
         end;
      if (num[i] = 1) then begin 
         inc(num[i]); Cpy(q[i][2],q[i][1]);
         if (InRect(p0)) then Cpy(q[i][1],p0);
      end;
   end;

   for i := 0 to 4-1 do
      for j := i+1 to 4 do 
         if (alfa[i] > alfa[j]) then begin
            PSwap(a[i],a[j]); ISwap(num[i],num[j]);
            PSwap(q[i][1],q[j][1]); PSwap(q[i][2],q[j][2]);
            RSwap(alfa[i],alfa[j]); ISwap(k[i],k[j]);
         end;

   for i := 0 to 4-1 do if (k[i] <> 0) then break;
   if (InRect(p0)) then begin
      j := i; ans := 0.0;
      for i := 1 to j do
         ans := ans + TriangS(p0,q[i-1][2],q[i][2]);
      q[1][2].x := max(p1.x,p2.x); q[1][2].y := 0;
      ans := ans + TriangS(p0,q[1][2],q[0][2]);
   end else begin
      if (i = 0) then begin
         ans := 0.0;
      end else if (i = 4) then begin
         ans := abs((p1.x-p2.x)*(p1.y-p2.y));
      end else begin
         j := i; ans := 0.0;
         for i := 1 to j do begin
            ans := ans + TriangS(q[i-1][1],q[i-1][2],q[i][1]);
            ans := ans + TriangS(q[i-1][2],q[i][1],q[i][2]);
         end;
      end;
   end;

   write(ans:0:2);
   close(input); close(output);
end.